Class UmlBaseOperation

Manage the class's operations

Declaration :

- C++ : class UmlBaseOperation : public UmlClassMember
- Java : abstract class UmlBaseOperation extends UmlClassMember

Directly inherited by : UmlOperation

Artifact : UmlBaseOperation

Operation create

returns a new operation named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlClass, in s : str) : UmlOperation, exceptions : RuntimeException
- C++ : public: static UmlOperation * create(UmlClass * parent, const char * s)
- Java : public static UmlOperation create(UmlClass parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation isBodyGenerationForced

indicates if the body is generated even if preserve body is set, returns TRUE if yes

Declaration :

- Uml : + isBodyGenerationForced() : bool
- C++ : public: bool isBodyGenerationForced()
- Java : public boolean isBodyGenerationForced()

Operation set_isBodyGenerationForced

to set if the body is generated even if preserve body is set
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_isBodyGenerationForced(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isBodyGenerationForced(bool v)
- Java : public void set_isBodyGenerationForced(boolean v) throws RuntimeException

Operation isAbstract

indicates if the operation is abstract, returns TRUE if yes

Declaration :

- Uml : + isAbstract() : bool
- C++ : public: bool isAbstract()
- Java : public boolean isAbstract()

Operation set_isAbstract

to set the 'abstract' flag
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_isAbstract(in y : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isAbstract(bool y)
- Java : public void set_isAbstract(boolean y) throws RuntimeException

Operation returnType

returns the operation value type

Declaration :

- Uml : + returnType() : UmlTypeSpec
- C++ : public: const UmlTypeSpec & returnType()
- Java : public UmlTypeSpec returnType()

Operation set_ReturnType

to set the operation value type
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_ReturnType(in t : UmlTypeSpec) : bool, exceptions : RuntimeException
- C++ : public: bool set_ReturnType(const UmlTypeSpec & t)
- Java : public void set_ReturnType(UmlTypeSpec t) throws RuntimeException

Operation params

returns (in java a copy of) the parameters list

Declaration :

- Uml : + params() : UmlParameter
- C++ : public: const QValueList<UmlParameter> params()
- Java : public UmlParameter[] params()

Operation addParameter

adds a parameter at the given rank (0...)
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + addParameter(in rank : unsigned, in p : UmlParameter) : bool, exceptions : RuntimeException
- C++ : public: bool addParameter(unsigned rank, const UmlParameter & p)
- Java : public void addParameter(int rank, UmlParameter p) throws RuntimeException

Operation removeParameter

remove the parameter of the given rank (0...)
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + removeParameter(in rank : unsigned) : bool, exceptions : RuntimeException
- C++ : public: bool removeParameter(unsigned rank)
- Java : public void removeParameter(int rank) throws RuntimeException

Operation replaceParameter

replace the parameter at the given rank (0...)
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + replaceParameter(in rank : unsigned, in p : UmlParameter) : bool, exceptions : RuntimeException
- C++ : public: bool replaceParameter(unsigned rank, const UmlParameter & p)
- Java : public void replaceParameter(int rank, UmlParameter p) throws RuntimeException

Operation exceptions

returns the exceptions

Declaration :

- Uml : + exceptions() : UmlTypeSpec
- C++ : public: const QValueList<UmlTypeSpec> exceptions()
- Java : public UmlTypeSpec[] exceptions()

Operation addException

adds the exception at the given rank (0...)
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + addException(in rank : unsigned, in t : UmlTypeSpec) : bool, exceptions : RuntimeException
- C++ : public: bool addException(unsigned rank, const UmlTypeSpec & t)
- Java : public void addException(int rank, UmlTypeSpec t) throws RuntimeException

Operation removeException

remove the exception of the given rank (0...)
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + removeException(in rank : unsigned) : bool, exceptions : RuntimeException
- C++ : public: bool removeException(unsigned rank)
- Java : public void removeException(int rank) throws RuntimeException

Operation replaceException

replaces the exception at the given rank (0...)
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + replaceException(in rank : unsigned, in t : UmlTypeSpec) : bool, exceptions : RuntimeException
- C++ : public: bool replaceException(unsigned rank, const UmlTypeSpec & t)
- Java : public void replaceException(int rank, UmlTypeSpec t) throws RuntimeException

Operation getOf

in case the operation is a 'get' operation, returns the associated
attribute or relation

Declaration :

- Uml : + getOf() : UmlClassMember
- C++ : public: UmlClassMember * getOf()
- Java : public UmlClassMember getOf()

Operation setOf

in case the operation is a 'set' operation, returns the associated
attribute or relation

Declaration :

- Uml : + setOf() : UmlClassMember
- C++ : public: UmlClassMember * setOf()
- Java : public UmlClassMember setOf()

Operation isCppConst

returns TRUE if the operation is declared const in C++

Declaration :

- Uml : + isCppConst() : bool
- C++ : public: bool isCppConst()
- Java : public boolean isCppConst()

Operation set_isCppConst

to set if the operation is declared const in C++
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_isCppConst(in y : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isCppConst(bool y)
- Java : public void set_isCppConst(boolean y) throws RuntimeException

Operation isCppFriend

returns TRUE if the operation is a friend in C++

Declaration :

- Uml : + isCppFriend() : bool
- C++ : public: bool isCppFriend()
- Java : public boolean isCppFriend()

Operation set_isCppFriend

to set if the operation is a friend in C++
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_isCppFriend(in y : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isCppFriend(bool y)
- Java : public void set_isCppFriend(boolean y) throws RuntimeException

Operation isCppVirtual

returns TRUE if the operation is declared virtual in C++

Declaration :

- Uml : + isCppVirtual() : bool
- C++ : public: bool isCppVirtual()
- Java : public boolean isCppVirtual()

Operation set_isCppVirtual

to set if the operation is declared virtual in C++
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_isCppVirtual(in y : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isCppVirtual(bool y)
- Java : public void set_isCppVirtual(boolean y) throws RuntimeException

Operation isCppInline

returns TRUE if the operation is declared inline in C++

Declaration :

- Uml : + isCppInline() : bool
- C++ : public: bool isCppInline()
- Java : public boolean isCppInline()

Operation set_isCppInline

to set if the operation is declared inline in C++
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_isCppInline(in y : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isCppInline(bool y)
- Java : public void set_isCppInline(boolean y) throws RuntimeException

Operation cppDef

returns the operation's definition in C++, notes that the declaration
is returned by the inherited ClassItemBase::CppDecl() operation

Declaration :

- Uml : + cppDef() : string
- C++ : public: const QCString & cppDef()
- Java : public String cppDef()

Operation set_CppDef

sets the operation's definition in C++, notes that the declaration
is set through the inherited ClassItemBase::set_CppDecl() operation
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_CppDef(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppDef(const char * s)
- Java : public void set_CppDef(String s) throws RuntimeException

Operation cppBody

returns the operation's body in C++, useless if the def does not
contains $

Declaration :

- Uml : + cppBody() : string
- C++ : public: QCString cppBody()
- Java : public String cppBody()

Operation set_CppBody

sets the operation's body in C++, useless if the def does not
contains $

Declaration :

- Uml : + set_CppBody(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppBody(const char * s)
- Java : public void set_CppBody(String s) throws RuntimeException

Operation cppNameSpec

in case the operation is a 'get' or 'set' operation, returns how
the operation's C++ name must be generated

Declaration :

- Uml : + cppNameSpec() : string
- C++ : public: const QCString & cppNameSpec()
- Java : public String cppNameSpec()

Operation set_CppNameSpec

in case the operation is a 'get' or 'set' operation, returns how
the operation's C++ name must be generated
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_CppNameSpec(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppNameSpec(const char * s)
- Java : public void set_CppNameSpec(String s) throws RuntimeException

Operation cppGetSetFrozen

return the if the C++ definition is frozen, only for getter/setter operation

Declaration :

- Uml : + cppGetSetFrozen() : bool
- C++ : public: bool cppGetSetFrozen()
- Java : public boolean cppGetSetFrozen()

Operation set_CppGetSetFrozen

set the if the C++ definition is frozen, only for getter/setter operation
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_CppGetSetFrozen(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppGetSetFrozen(bool v)
- Java : public void set_CppGetSetFrozen(boolean v) throws RuntimeException

Operation isJavaFinal

returns TRUE if the operation is declared final in JAVA

Declaration :

- Uml : + isJavaFinal() : bool
- C++ : public: bool isJavaFinal()
- Java : public boolean isJavaFinal()

Operation set_isJavaFinal

to set if the operation is declared final in JAVA
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_isJavaFinal(in y : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isJavaFinal(bool y)
- Java : public void set_isJavaFinal(boolean y) throws RuntimeException

Operation isJavaSynchronized

returns TRUE if the operation is declared synchronized in JAVA

Declaration :

- Uml : + isJavaSynchronized() : bool
- C++ : public: bool isJavaSynchronized()
- Java : public boolean isJavaSynchronized()

Operation set_isJavaSynchronized

to set if the operation is declared synchronized in JAVA
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_isJavaSynchronized(in y : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isJavaSynchronized(bool y)
- Java : public void set_isJavaSynchronized(boolean y) throws RuntimeException

Operation javaDef

returns the operation's definition in Java, notes that it is
already made by the inherited JavaDecl operation

Declaration :

- Uml : + javaDef() : string
- C++ : public: const QCString & javaDef()
- Java : public String javaDef()

Operation set_JavaDef

sets the operation's definition in Java, notes that it is
already made by the inherited set_JavaDecl operation
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_JavaDef(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaDef(const char * s)
- Java : public void set_JavaDef(String s) throws RuntimeException

Operation javaBody

returns the operation's body in Java++, useless if the def does
not contains $

Declaration :

- Uml : + javaBody() : string
- C++ : public: QCString javaBody()
- Java : public String javaBody()

Operation set_JavaBody

sets the operation's body in Java, useless if the def does not
contains $

Declaration :

- Uml : + set_JavaBody(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaBody(const char * s)
- Java : public void set_JavaBody(String s) throws RuntimeException

Operation javaNameSpec

in case the operation is a 'get' or 'set' operation, returns how
the operation's JAVA name must be generated

Declaration :

- Uml : + javaNameSpec() : string
- C++ : public: const QCString & javaNameSpec()
- Java : public String javaNameSpec()

Operation set_JavaNameSpec

in case the operation is a 'get' or 'set' operation, returns how
the operation's JAVA name must be generated
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_JavaNameSpec(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaNameSpec(const char * s)
- Java : public void set_JavaNameSpec(String s) throws RuntimeException

Operation javaGetSetFrozen

return the if the Java definition is frozen, only for getter/setter operation

Declaration :

- Uml : + javaGetSetFrozen() : bool
- C++ : public: bool javaGetSetFrozen()
- Java : public boolean javaGetSetFrozen()

Operation set_JavaGetSetFrozen

set the if the Java definition is frozen, only for getter/setter operation
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_JavaGetSetFrozen(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaGetSetFrozen(bool v)
- Java : public void set_JavaGetSetFrozen(boolean v) throws RuntimeException

Operation isPhpFinal

returns TRUE if the operation is declared final in PHP

Declaration :

- Uml : + isPhpFinal() : bool
- C++ : public: bool isPhpFinal()
- Java : public boolean isPhpFinal()

Operation set_isPhpFinal

to set if the operation is declared final in PHP
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_isPhpFinal(in y : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isPhpFinal(bool y)
- Java : public void set_isPhpFinal(boolean y) throws RuntimeException

Operation phpDef

returns the operation's definition in Php, notes that it is
already made by the inherited PhpDecl operation

Declaration :

- Uml : + phpDef() : string
- C++ : public: const QCString & phpDef()
- Java : public String phpDef()

Operation set_PhpDef

sets the operation's definition in Php, notes that it is
already made by the inherited set_PhpDecl operation
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_PhpDef(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_PhpDef(const char * s)
- Java : public void set_PhpDef(String s) throws RuntimeException

Operation phpBody

returns the operation's body in Php++, useless if the def does
not contains $

Declaration :

- Uml : + phpBody() : string
- C++ : public: QCString phpBody()
- Java : public String phpBody()

Operation set_PhpBody

sets the operation's body in Php, useless if the def does not
contains $

Declaration :

- Uml : + set_PhpBody(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_PhpBody(const char * s)
- Java : public void set_PhpBody(String s) throws RuntimeException

Operation phpNameSpec

in case the operation is a 'get' or 'set' operation, returns how
the operation's PHP name must be generated

Declaration :

- Uml : + phpNameSpec() : string
- C++ : public: const QCString & phpNameSpec()
- Java : public String phpNameSpec()

Operation set_PhpNameSpec

in case the operation is a 'get' or 'set' operation, returns how
the operation's PHP name must be generated
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_PhpNameSpec(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_PhpNameSpec(const char * s)
- Java : public void set_PhpNameSpec(String s) throws RuntimeException

Operation phpGetSetFrozen

return the if the Php definition is frozen, only for getter/setter operation

Declaration :

- Uml : + phpGetSetFrozen() : bool
- C++ : public: bool phpGetSetFrozen()
- Java : public boolean phpGetSetFrozen()

Operation set_PhpGetSetFrozen

set the if the Php definition is frozen, only for getter/setter operation
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_PhpGetSetFrozen(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_PhpGetSetFrozen(bool v)
- Java : public void set_PhpGetSetFrozen(boolean v) throws RuntimeException

Operation isIdlOneway

returns TRUE if the operation is declared oneway in IDL

Declaration :

- Uml : + isIdlOneway() : bool
- C++ : public: bool isIdlOneway()
- Java : public boolean isIdlOneway()

Operation set_isIdlOneway

to set if the operation is declared oneway in IDL
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_isIdlOneway(in y : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isIdlOneway(bool y)
- Java : public void set_isIdlOneway(boolean y) throws RuntimeException

Operation idlNameSpec

in case the operation is a 'get' or 'set' operation, returns how
the operation's IDL name must be generated

Declaration :

- Uml : + idlNameSpec() : string
- C++ : public: const QCString & idlNameSpec()
- Java : public String idlNameSpec()

Operation set_IdlNameSpec

in case the operation is a 'get' or 'set' operation, returns how
the operation's IDL name must be generated
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_IdlNameSpec(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_IdlNameSpec(const char * s)
- Java : public void set_IdlNameSpec(String s) throws RuntimeException

Operation idlGetSetFrozen

return the if the IDL definition is frozen, only for getter/setter operation

Declaration :

- Uml : + idlGetSetFrozen() : bool
- C++ : public: bool idlGetSetFrozen()
- Java : public boolean idlGetSetFrozen()

Operation set_IdlGetSetFrozen

set the if the IDL definition is frozen, only for getter/setter operation
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_IdlGetSetFrozen(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_IdlGetSetFrozen(bool v)
- Java : public void set_IdlGetSetFrozen(boolean v) throws RuntimeException

Operation unload

to unload the object to free memory, it will be reloaded
automatically if needed. args unused

Declaration :

- Uml : + unload(in rec : bool, in del : bool) : void
- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

Attribut _force_body_generation

Declaration :

- Uml : - _force_body_generation : bool
- C++ : private: bool _force_body_generation : 1
- Java : private boolean _force_body_generation

Attribut _abstract

Declaration :

- Uml : - _abstract : bool
- C++ : private: bool _abstract : 1
- Java : private boolean _abstract

Attribut _cpp_const

Declaration :

- Uml : - _cpp_const : bool
- C++ : private: bool _cpp_const : 1
- Java : private boolean _cpp_const

Attribut _cpp_friend

Declaration :

- Uml : - _cpp_friend : bool
- C++ : private: bool _cpp_friend : 1
- Java : private boolean _cpp_friend

Attribut _cpp_virtual

Declaration :

- Uml : - _cpp_virtual : bool
- C++ : private: bool _cpp_virtual : 1
- Java : private boolean _cpp_virtual

Attribut _cpp_inline

Declaration :

- Uml : - _cpp_inline : bool
- C++ : private: bool _cpp_inline : 1
- Java : private boolean _cpp_inline

Attribut _java_final

Declaration :

- Uml : - _java_final : bool
- C++ : private: bool _java_final : 1
- Java : private boolean _java_final

Attribut _java_synchronized

Declaration :

- Uml : - _java_synchronized : bool
- C++ : private: bool _java_synchronized : 1
- Java : private boolean _java_synchronized

Attribut _php_final

Declaration :

- Uml : - _php_final : bool
- C++ : private: bool _php_final : 1
- Java : private boolean _php_final

Attribut _idl_oneway

Declaration :

- Uml : - _idl_oneway : bool
- C++ : private: bool _idl_oneway : 1
- Java : private boolean _idl_oneway

Attribut _cpp_get_set_frozen

Declaration :

- Uml : - _cpp_get_set_frozen : bool
- C++ : private: bool _cpp_get_set_frozen : 1
- Java : private boolean _cpp_get_set_frozen

Attribut _java_get_set_frozen

Declaration :

- Uml : - _java_get_set_frozen : bool
- C++ : private: bool _java_get_set_frozen : 1
- Java : private boolean _java_get_set_frozen

Attribut _php_get_set_frozen

Declaration :

- Uml : - _php_get_set_frozen : bool
- C++ : private: bool _php_get_set_frozen : 1
- Java : private boolean _php_get_set_frozen

Attribut _idl_get_set_frozen

Declaration :

- Uml : - _idl_get_set_frozen : bool
- C++ : private: bool _idl_get_set_frozen : 1
- Java : private boolean _idl_get_set_frozen

Relation _return_type (<directional composition>)

Declaration :

- Uml : - _return_type : UmlTypeSpec
- C++ : private: UmlTypeSpec _return_type
- Java : private UmlTypeSpec _return_type

Relation _params (<unidirectional association>)

Declaration :

- Uml : - _params : UmlParameter, multiplicity : *
- C++ : private: QValueList<UmlParameter> _params
- Java : private UmlParameter[] _params

Relation _exceptions (<unidirectional association>)

Declaration :

- Uml : - _exceptions : UmlTypeSpec, multiplicity : *
- C++ : private: QValueList<UmlTypeSpec> _exceptions
- Java : private UmlTypeSpec[] _exceptions

Attribut _cpp_def

Declaration :

- Uml : - _cpp_def : string
- C++ : private: QCString _cpp_def
- Java : private String _cpp_def

Attribut _cpp_name_spec

Declaration :

- Uml : - _cpp_name_spec : string
- C++ : private: QCString _cpp_name_spec
- Java : private String _cpp_name_spec

Attribut _java_name_spec

Declaration :

- Uml : - _java_name_spec : string
- C++ : private: QCString _java_name_spec
- Java : private String _java_name_spec

Attribut _php_name_spec

Declaration :

- Uml : - _php_name_spec : string
- C++ : private: QCString _php_name_spec
- Java : private String _php_name_spec

Attribut _idl_name_spec

Declaration :

- Uml : - _idl_name_spec : string
- C++ : private: QCString _idl_name_spec
- Java : private String _idl_name_spec

Relation _get_of (<unidirectional association>)

exclusive with set_of

Declaration :

- Uml : - _get_of : UmlClassMember
- C++ : private: UmlClassMember * _get_of
- Java : private UmlClassMember _get_of

Relation _set_of (<unidirectional association>)

exclusive with get_of

Declaration :

- Uml : - _set_of : UmlClassMember
- C++ : private: UmlClassMember * _set_of
- Java : private UmlClassMember _set_of

Operation UmlBaseOperation

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseOperation(in id : item_id, in n : string) :
- C++ : protected: UmlBaseOperation(void * id, const QCString & n)
- Java : protected UmlBaseOperation(long id, String n)

Operation read_uml_

internal, do NOT use it

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

Operation read_cpp_

internal, do NOT use it

Declaration :

- Uml : # read_cpp_() : void
- C++ : protected: virtual void read_cpp_()
- Java : protected void read_cpp_()

Operation read_java_

internal, do NOT use it

Declaration :

- Uml : # read_java_() : void
- C++ : protected: virtual void read_java_()
- Java : protected void read_java_()

Operation read_php_

internal, do NOT use it

Declaration :

- Uml : # read_php_() : void
- C++ : protected: virtual void read_php_()
- Java : protected void read_php_()

Operation read_idl_

internal, do NOT use it

Declaration :

- Uml : # read_idl_() : void
- C++ : protected: virtual void read_idl_()
- Java : protected void read_idl_()

All public operations : addException , addParameter , apply , children , childrenVisible , constraint , cppBody , cppDecl , cppDef , cppGetSetFrozen , cppNameSpec , cppVisibility , create , defined_ , deleteIt , description , exceptions , getIdentifier , getOf , identifier_ , idlDecl , idlGetSetFrozen , idlNameSpec , isAbstract , isBodyGenerationForced , isClassMember , isCppConst , isCppFriend , isCppInline , isCppVirtual , isIdlOneway , isJavaFinal , isJavaSynchronized , isMarked , isPhpFinal , isToolRunning , isVolatile , isWritable , javaAnnotations , javaBody , javaDecl , javaDef , javaGetSetFrozen , javaNameSpec , kind , kind , markedItems , moveAfter , name , params , parent , phpBody , phpDecl , phpDef , phpGetSetFrozen , phpNameSpec , properties , propertyValue , referencedBy , removeException , removeParameter , replaceException , replaceParameter , returnType , set_childrenVisible , set_Constraint , set_CppBody , set_CppDecl , set_CppDef , set_CppGetSetFrozen , set_CppNameSpec , set_CppVisibility , set_Description , set_IdlDecl , set_IdlGetSetFrozen , set_IdlNameSpec , set_isAbstract , set_isBodyGenerationForced , set_isClassMember , set_isCppConst , set_isCppFriend , set_isCppInline , set_isCppVirtual , set_isIdlOneway , set_isJavaFinal , set_isJavaSynchronized , set_isMarked , set_isPhpFinal , set_isVolatile , set_JavaAnnotations , set_JavaBody , set_JavaDecl , set_JavaDef , set_JavaGetSetFrozen , set_JavaNameSpec , set_Name , set_PhpBody , set_PhpDecl , set_PhpDef , set_PhpGetSetFrozen , set_PhpNameSpec , set_PropertyValue , set_ReturnType , set_Stereotype , set_Visibility , setOf , stereotype , supportFile , unload , unload , unload , visibility